# Class CIM_HeadTailDropper
extends CIM_DropperService

HeadTailDropper describes the threshold information of a head or tail dropper. The inherited property DropFrom indicates whether a particular instance of this class is a head dropper or a tail dropper. A head dropper always examines the same queue from which it drops packets, and this queue is always related to the dropper as the following service in the NextService association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_ConditioningService
|
+--CIM_DropperService
|
+--CIM_HeadTailDropper

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

HeadTailDropper describes the threshold information of a head or tail dropper. The inherited property DropFrom indicates whether a particular instance of this class is a head dropper or a tail dropper. A head dropper always examines the same queue from which it drops packets, and this queue is always related to the dropper as the following service in the NextService association.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
QueueThreshold | uint32 |
Description | string | This is an unsigned 32-bit integer that indicates the queue depth (in bytes) at which traffic is dropped. For a tail dropper, all newly arriving traffic is dropped. For a head dropper, packets at the front of the queue are dropped to make room for new packets, which are added at the end.
Units | string | Bytes

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AlwaysDrop | uint16 | CIM_DropperService
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
DropFrom | uint16 | CIM_DropperService
DropMaintainMetric | uint16 | CIM_DropperService
DropperType | uint16 | CIM_DropperService
DropStartMetric | uint16 | CIM_DropperService
ElementName | string | CIM_ManagedElement
Enabled | boolean | CIM_ConditioningService
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherDropperType | string | CIM_DropperService
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service